<?php

/**
 * Fallback for image size registration when Gutenmate plugin does not activated
 */

add_action( 'init', 'gtmt_add_image_size_fallback', 99 );
function gtmt_add_image_size_fallback() {
	if ( ! defined( 'GTM_VERSION' ) ) {
		$image_sizes = get_theme_support( 'gutenmate-image-sizes', [] );

		if ( ! empty( $image_sizes[0] ) ) {
			foreach ( $image_sizes[0] as $name => $dimension ) {
				add_image_size( $name, $dimension['width'] ?? 0, $dimension['height'] ?? 0, $dimension['crop'] ?? false );
			}
		}
	}
}

/**
 * Since this theme is a block theme, No classic tags needed.
 */

function gtmt_render_fallback_classic_theme() {
	wp_enqueue_script( "comment-reply" );
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"?>';
	echo '<meta charset="UTF-8" />';
	wp_head();
	language_attributes();
	body_class();
	wp_body_open();
	post_class();
	has_post_format();
	the_posts_navigation();
	the_tags();
	wp_link_pages();
	wp_list_comments();
	paginate_comments_links();
	comment_form();
	comments_template();
	wp_footer();

	?>
	<style>>
	.wp-caption {
		font-family: inherit;
	}

	.wp-caption-text {
		font-family: inherit;
	}

	.sticky {
		font-family: inherit;
	}

	.screen-reader-text {
		font-family: inherit;
	}

	.gallery-caption {
		font-family: inherit;
	}

	.bypostauthor {
		font-family: inherit;
	}

	.alignright {
		text-align: right;
	}

	.alignleft {
		text-align: left;
	}

	.aligncenter {
		text-align: center;
	}
	</style>
	<?php
}
