<?php

/**
 * Registers block patterns and categories.
 */
function gtmt_register_block_patterns() {
	/**
	 * Regiter categories
	 */

	register_block_pattern_category( 'gtmt-blog', ['label' => esc_html__( 'Guzine blog', 'guzine' )] );
	register_block_pattern_category( 'gtmt-slider', ['label' => esc_html__( 'Guzine slider', 'guzine' )] );
	register_block_pattern_category( 'gtmt-review', ['label' => esc_html__( 'Guzine review', 'guzine' )] );

	/**
	 * Register block patterns
	 */

	register_block_pattern( 'gtmt/query-grid-classic-1', [
		'title'      => esc_html__( 'Classic blog', 'guzine' ),
		'categories' => ['gtmt-blog'],
		'keywords'   => ['blog', 'query', 'post'],
		'blockTypes' => ['core/query'],
		'content'    => '<!-- wp:query {"query":{"perPage":3,"pages":0,"offset":0,"postType":"post","order":"desc","orderBy":"date","author":"","search":"","exclude":[],"sticky":"","inherit":true},"displayLayout":{"type":"list","columns":2}} -->
		<div class="wp-block-query"><!-- wp:gtm/post-template -->
		<!-- wp:template-part {"slug":"post-classic","theme":"guzine"} /-->
		<!-- /wp:gtm/post-template --></div>
		<!-- /wp:query -->',
	] );

	register_block_pattern( 'gtmt/query-grid-medium-1-col-2', [
		'title'      => esc_html__( 'Medium blog - 2 columns', 'guzine' ),
		'categories' => ['gtmt-blog'],
		'keywords'   => ['blog', 'query', 'post'],
		'blockTypes' => ['core/query'],
		'content'    => '<!-- wp:query {"query":{"perPage":3,"pages":0,"offset":0,"postType":"post","order":"desc","orderBy":"date","author":"","search":"","exclude":[],"sticky":"","inherit":true},"displayLayout":{"type":"flex","columns":2}} -->
		<div class="wp-block-query"><!-- wp:gtm/post-template -->
		<!-- wp:template-part {"slug":"post-medium","theme":"guzine"} /-->
		<!-- /wp:gtm/post-template --></div>
		<!-- /wp:query -->',
	] );

	register_block_pattern( 'gtmt/query-grid-small-1-col-1', [
		'title'      => esc_html__( 'Small blog - 1 column', 'guzine' ),
		'categories' => ['gtmt-blog'],
		'keywords'   => ['blog', 'query', 'post'],
		'blockTypes' => ['core/query'],
		'content'    => '<!-- wp:query {"query":{"perPage":4,"pages":0,"offset":0,"postType":"post","order":"desc","orderBy":"date","author":"","search":"","exclude":[],"sticky":"exclude","inherit":false},"displayLayout":{"type":"list","columns":3}} -->
		<div class="wp-block-query"><!-- wp:gtm/post-template -->
		<!-- wp:template-part {"slug":"post-small","theme":"guzine"} /-->
		<!-- /wp:gtm/post-template --></div>
		<!-- /wp:query -->',
	] );

	register_block_pattern( 'gtmt/query-grid-small-1-col-3', [
		'title'      => esc_html__( 'Small blog - 3 columns', 'guzine' ),
		'categories' => ['gtmt-blog'],
		'keywords'   => ['blog', 'query', 'post'],
		'blockTypes' => ['core/query'],
		'content'    => '<!-- wp:query {"query":{"perPage":3,"pages":0,"offset":0,"postType":"post","order":"desc","orderBy":"date","author":"","search":"","exclude":[],"sticky":"","inherit":false},"displayLayout":{"type":"flex","columns":3}} -->
		<div class="wp-block-query"><!-- wp:gtm/post-template -->
		<!-- wp:template-part {"slug":"post-small","theme":"guzine"} /-->
		<!-- /wp:gtm/post-template --></div>
		<!-- /wp:query -->',
	] );

	register_block_pattern( 'gtmt/query-grid-tiny-1-col-1', [
		'title'      => esc_html__( 'Tiny blog', 'guzine' ),
		'categories' => ['gtmt-blog'],
		'keywords'   => ['blog', 'query', 'post'],
		'blockTypes' => ['core/query'],
		'content'    => '<!-- wp:query {"query":{"perPage":"4","pages":0,"offset":0,"postType":"post","order":"desc","orderBy":"date","author":"","search":"","exclude":[],"sticky":"exclude","inherit":false},"displayLayout":{"type":"list","columns":3}} -->
		<div class="wp-block-query"><!-- wp:gtm/post-template -->
		<!-- wp:template-part {"slug":"post-tiny","theme":"guzine"} /-->
		<!-- /wp:gtm/post-template --></div>
		<!-- /wp:query -->',
	] );

	register_block_pattern( 'gtmt/query-grid-wide-1-col-1', [
		'title'      => esc_html__( 'Wide blog', 'guzine' ),
		'categories' => ['gtmt-blog'],
		'keywords'   => ['blog', 'query', 'post'],
		'blockTypes' => ['core/query'],
		'content'    => '<!-- wp:query {"query":{"perPage":3,"pages":0,"offset":0,"postType":"post","order":"desc","orderBy":"date","author":"","search":"","exclude":[],"sticky":"","inherit":false},"displayLayout":{"type":"list","columns":3}} -->
		<div class="wp-block-query"><!-- wp:gtm/post-template -->
		<!-- wp:template-part {"slug":"post-wide","theme":"guzine"} /-->
		<!-- /wp:gtm/post-template --></div>
		<!-- /wp:query -->',
	] );

	register_block_pattern( 'gtmt/query-loop-slider-dual', [
		'title'      => esc_html__( 'Dual slider', 'guzine' ),
		'categories' => ['gtmt-slider'],
		'keywords'   => ['slider', 'query', 'post'],
		'blockTypes' => ['core/query'],
		'content'    => '<!-- wp:query {"query":{"perPage":3,"pages":0,"offset":0,"postType":"post","order":"desc","orderBy":"date","author":"","search":"","exclude":[],"sticky":"","inherit":false},"displayLayout":{"type":"list"},"layout":{"inherit":false}} -->
		<div class="wp-block-query"><!-- wp:gtm/slider-template {"slidesPerView":{"lg":2,"md":1,"sm":1},"slideGap":{"lg":"16px"}} -->
		<!-- wp:template-part {"slug":"post-cover","theme":"guzine"} /-->
		<!-- /wp:gtm/slider-template --></div>
		<!-- /wp:query -->',
	] );

	register_block_pattern( 'gtmt/query-loop-slider-large', [
		'title'      => esc_html__( 'Large slider', 'guzine' ),
		'categories' => ['gtmt-slider'],
		'keywords'   => ['slider', 'query', 'post'],
		'blockTypes' => ['core/query'],
		'content'    => '<!-- wp:query {"query":{"perPage":3,"pages":0,"offset":0,"postType":"post","order":"desc","orderBy":"date","author":"","search":"","exclude":[],"sticky":"","inherit":false},"displayLayout":{"type":"list"},"layout":{"inherit":false}} -->
		<div class="wp-block-query"><!-- wp:gtm/slider-template -->
		<!-- wp:template-part {"slug":"post-cover","theme":"guzine"} /-->
		<!-- /wp:gtm/slider-template --></div>
		<!-- /wp:query -->',
	] );

	register_block_pattern( 'gtmt/query-loop-slider-mutiple', [
		'title'      => esc_html__( 'Multiple slider', 'guzine' ),
		'categories' => ['gtmt-slider'],
		'keywords'   => ['slider', 'query', 'post'],
		'blockTypes' => ['core/query'],
		'content'    => '<!-- wp:query {"query":{"perPage":3,"pages":0,"offset":0,"postType":"post","order":"desc","orderBy":"date","author":"","search":"","exclude":[],"sticky":"","inherit":false},"displayLayout":{"type":"list"},"layout":{"inherit":false}} -->
		<div class="wp-block-query"><!-- wp:gtm/slider-template {"slidesPerView":{"lg":2,"md":1,"sm":1},"enableAutoSlidesPerView":true,"slideWidth":{"sm":"80%","lg":"40%","md":"70%"},"slideGap":{"lg":"25px"}} -->
		<!-- wp:template-part {"slug":"post-cover","theme":"guzine"} /-->
		<!-- /wp:gtm/slider-template --></div>
		<!-- /wp:query -->',
	] );

	register_block_pattern( 'gtmt/query-loop-slider-single', [
		'title'      => esc_html__( 'Single slider', 'guzine' ),
		'categories' => ['gtmt-slider'],
		'keywords'   => ['slider', 'query', 'post'],
		'blockTypes' => ['core/query'],
		'content'    => '<!-- wp:query {"query":{"perPage":3,"pages":0,"offset":0,"postType":"post","order":"desc","orderBy":"date","author":"","search":"","exclude":[],"sticky":"","inherit":false},"displayLayout":{"type":"list"},"layout":{"inherit":false}} -->
		<div class="wp-block-query"><!-- wp:gtm/slider-template -->
		<!-- wp:template-part {"slug":"post-cover","theme":"guzine"} /-->
		<!-- /wp:gtm/slider-template --></div>
		<!-- /wp:query -->',
	] );
}

add_action( 'init', 'gtmt_register_block_patterns', 9 );
