# Changelog

## 📦 1.3.1 (2023-06-07)

### 🦊 Updates
The following topics have been fixed or updated in this version. There is no need to do anything because it has already been applied.

* **Decorated list block**: Fix block parsing

### 🐈 Compatibiliy

* WordPress 6.1 or higher
* PHP 7.4 or 8.x

## 📦 1.3.0 (2023-06-06)

### 🐣 New Features
Introducing new features and capabilities. Some features must be activated or installed before they may be used.

* **Icon link block**: Introducing variations for social network links
* **Icons**: Added TikTok and Snapchat icons to the Basic icon set

### 🦊 Updates
The following topics have been fixed or updated in this version. There is no need to do anything because it has already been applied.

* **About author block**: Resolved text decoration issue with icons in editor
* **Recipe block**: Improve SEO
* **Settings**: Fix WordPress notice on the settings page
* **Webfont**: Update google fonts

### 🐈 Compatibiliy

* WordPress 6.1 or higher
* PHP 7.4 or 8.x

## 📦 1.2.0 (2023-05-23)

### 🐣 New Features
Introducing new features and capabilities. Some features must be activated or installed before they may be used.

* **AMP**: Add css compressor
* **Box block**: Allow child blocks can have alignment
* **Grid block**: Allow child blocks can have alignment
* **Post featured image block**: Add featured media support
* **Post template block**: Add slug option for query customization in PHP
* **Settings**: Add option for compress css styles on AMP pages
* **Template part block**: Add header sticky option
* **WooCommerce**: Add link to shop page into the breadcrumb

### 🦊 Updates
The following topics have been fixed or updated in this version. There is no need to do anything because it has already been applied.

* **Ad block**: Fix editor style for better looking
* **Ad block**: Support webp for ad placeholder
* **Ads block**: Improve placeholder style
* **Block visibility**: Fix hide phone attribute
* **Block visibility**: Fix undefined index warning
* **Blocks**: Improve editor performance and fix some bugs
* **Content area column**: Apply sticky option on desktop only
* **Core categories**: Update style
* **Core navigation block**: Remove base font size for better extensibility
* **Featured image block**: Improve preload image for a singular page
* **Lightbox**: Bump up PhotoSwipe to v5.3.4
* **Lightbox**: Fix Photoswipe initialization
* **Lightbox**: Improve image group for lightbox
* **Mega menu link block**: Fix custom url rendering
* **Mega menu link block**: Fix invalid url when term is not exists
* **Mega menu link block**: Fix invalid position for some case
* **Post featured image block**: Fix video/audio format
* **Post featured image block**: Increase maximum height
* **Post format icon**: Add default icon for audio post format
* **Post format icon**: Fix alignment for video icon
* **Post options**: Fix saving
* **Review block**: Fix initial style
* **Review breakdown block**: Fix minimum gap
* **Review breakdown block**: Use indicator background from css var by default
* **Review total score block**: Use global color
* **Script**: Remove unnecessary scripts
* **Settings panel**: Fix error when open in FSE
* **Slider template block**: Remove slide when the slide content is empty
* **Sliding panel block**: Improve aria-label for the close button
* **Spacer block**: Fix outer spacing
* **Terms block**: Fix transitioning for gradients
* **Translation**: Fix translation generating
* **Webfont**: Improve webfont loading
* **WP 6.3 compatibility**: Remove the usage of deprecated functions from Gutenberg (Multiline prop in RichText)
* **WP 6.4 compatibility**: Add support for dedicated functions (Constrained width styles for wp.components.CustomSelectControl)

### 🐈 Compatibiliy

* WordPress 6.1 or higher
* PHP 7.4 or 8.x


## 📦 1.1.0 (2023-01-12)

### 🐣 New Features
Introducing new features and capabilities. Some features must be activated or installed before they may be used.

* **Block props**: Add lazy load option for the following blocks
  - Gutenmate - Post featured image
  - Gutenmate - Post featured image & text
  - Core - Cover
  - Core - Image
  - Core - Post featured image
* **Block visibility option**: Add `Comments` condition
* **Block visibility option**: Add `Hide when empty` option
* **Core list block**: Add `Plain` style
* **Floating box block**: Add reveals on `id-link`
* **Icon link block**: Add variation for dynamic links
* **Settings**: Add `Ad Presets` option.
* **Settings**: Add `Custom scripts` and `Custom Styles` option.
* **Settings**: Add `Serve webfonts from local` option to the `Typography` section.
* **Settings**: Add adblock detector
* **Settings**: Add AMP options
* **Terms block** Add `no-image` class for styling
* New blocks for advertisement
* Support [AMP Official plugin](https://wordpress.org/plugins/amp/)

### 🐝 Changes
The topics listed below have an impact on the current settings or templates. If they are related, you should consider checking and updating for this version.

* **Icon links block**: Move the `Open new tab` option to the `Icon link block`
* **Block visibility option**: Remove an empty condition from saved markup

### 🦄 Enhancements
The toplics listed below are an enhancement of the current settings or templates. It is not necessary to update, but it is preferable.

* **Block support**: Fix getting attributes on rendering block style
* **Block visibility option**: Fix `Term` condition checking on the date archive page
* **Breadbrumbs block**: Add wordbreak for a long name and title
* **Core button block**: Fix the hovering state of `Secondary` style
* **Core image block**: Inherit border radius by default
* **Css**: Fix border radius rendering
* **Css**: Fix responsive styles
* **Css**: Improve css rendering
* **Css**: Optimize css engine to support AMP pages
* **Css**: Remove !important from icon styles for AMP pages
* **Css**: Separate block styles to reduce css file size for AMP pages
* **Floating box block**: Fix background
* **Floating box block**: Prevent inside elements getting blur
* **Icons**: Fix getting currently active icon set
* **Inline icon format**: Fix useAnchorRef to support a future version of WordPress
* **Mega menu link block**: Fix hovering behavior for easier editing
* **Post featured image block**: Preload only the first featured image for a single post page
* **Post featured image block**: Support default image radius from theme
* **Settings**: Improve UI for disabled items and changed items
* **Settings**: Revise local google font caching mechanism
* Improve WP 6.0 compatibility
* Sanitize urls before rendering
* Fix warnings in console


## 📦 1.0.0 (2022-11-14)

* Initial release. WordPress is supported since version 6.0