<?php

/**
 * Render block style
 */

add_filter( 'gtm.BlockStyleCompiler.core/query-pagination-numbers', 'gtm_compile_block_css_core_query_pagination_numbers', 10, 3 );
function gtm_compile_block_css_core_query_pagination_numbers( $output, $attributes, $blockName ) {

	$block_style = ['classes' => [], 'style' => []];

	/* Item */

	gtm_css_compileCssVar( $block_style, "core-query-pagination-numbers-item-spacing", gtm_css_parseSpacingValue( $attributes['gtmItemSpacing'] ?? null ) );

	/* Color */

	gtm_css_compileCssVar( $block_style, "core-query-pagination-numbers-item-color", gtm_css_parseColorValue( $attributes['gtmItemColor'] ?? null ) );
	gtm_css_compileCssVar( $block_style, "core-query-pagination-numbers-item-bg", gtm_css_parseColorValue( $attributes['gtmItemBg'] ?? null ) );

	gtm_css_compileCssVar( $block_style, "core-query-pagination-numbers-item-current-color", gtm_css_parseColorValue( $attributes['gtmItemCurrentColor'] ?? null ) );
	gtm_css_compileCssVar( $block_style, "core-query-pagination-numbers-item-current-bg", gtm_css_parseColorValue( $attributes['gtmItemCurrentBg'] ?? null ) );

	gtm_css_compileCssVar( $block_style, "core-query-pagination-numbers-item-hover-color", gtm_css_parseColorValue( $attributes['gtmItemHoverColor'] ?? null ) );
	gtm_css_compileCssVar( $block_style, "core-query-pagination-numbers-item-hover-bg", gtm_css_parseColorValue( $attributes['gtmItemHoverBg'] ?? null ) );

	// Apply to output
	$block_style['style'] = ['{{BLOCK}}' => $block_style['style']];

	return [
		'classes' => array_merge( $output['classes'], $block_style['classes'] ),
		'style'   => array_replace_recursive( $output['style'], $block_style['style'] ),
	];
}
