<?php

/**
 * Render block style
 */

add_filter( 'gtm.BlockStyleCompiler.core/quote', 'gtm_compile_block_css_core_quote', 10, 3 );
function gtm_compile_block_css_core_quote( $output, $attributes, $blockName ) {

	$block_style = ['classes' => [], 'style' => []];

	if ( ! empty( $attributes['gtmEnableQuoteClipText'] ) ) {
		$block_style['classes'][] = 'gtm-has-enable-quote-clip-text';
	}

	gtm_css_compileCssVar( $block_style, "core-quote-quote-bg", gtm_css_parseColorValue( $attributes['gtmQuoteBg'] ?? null ) );
	if ( empty( $attributes['gtmEnableQuoteClipText'] ) ) {
		gtm_css_compileCssVar( $block_style, "core-quote-quote-color", gtm_css_parseColorValue( $attributes['gtmQuoteColor'] ?? null ) );
	}
	gtm_css_compileCssVar( $block_style, "core-quote-cite-color", gtm_css_parseColorValue( $attributes['gtmCiteColor'] ?? null ) );

	// Apply to output
	$block_style['style'] = ['{{BLOCK}}' => $block_style['style']];

	return [
		'classes' => array_merge( $output['classes'], $block_style['classes'] ),
		'style'   => array_replace_recursive( $output['style'], $block_style['style'] ),
	];
}
