<?php

/**
 * Registers the `gtm/grid-tile` block on the server.
 */
function gtm_register_block_grid_tile() {
	gtm_register_block_type( 'grid-tile' );
}

add_action( 'init', 'gtm_register_block_grid_tile', 20 );

add_filter( 'gtm.BlockStyleCompiler.gtm/grid-tile', 'gtm_compile_block_css_grid_tile', 10, 3 );
function gtm_compile_block_css_grid_tile( $output, $attributes, $blockName ) {
	$block_style = ['classes' => [], 'style' => []];

	$block_style['classes'][] = 'gtm-block';

	if ( $attributes['enableStackedOnTablet'] ) {
		$block_style['classes'][] = 'gtm-has-gtm-grid-tile-stacked-on-tablet';
	}

	gtm_css_compileCssVar( $block_style, "grid-tile-gap", gtm_css_parseSpacingValue( $attributes['gap'] ) );

	// Apply to output
	$block_style['style'] = ['{{BLOCK}}' => $block_style['style']];

	return [
		'classes' => array_merge( $output['classes'], $block_style['classes'] ),
		'style'   => array_replace_recursive( $output['style'], $block_style['style'] ),
	];
}
