<?php

/**
 * Registers the `gtm/grid` block on the server.
 */
function gtm_register_block_grid() {
	gtm_register_block_type( 'grid' );
}

add_action( 'init', 'gtm_register_block_grid', 20 );

add_filter( 'gtm.BlockStyleCompiler.gtm/grid', 'gtm_compile_block_css_grid', 10, 3 );
function gtm_compile_block_css_grid( $output, $attributes, $blockName ) {
	$block_style = ['classes' => [], 'style' => []];

	$block_style['classes'][] = 'gtm-block';

	gtm_css_compileCssVar( $block_style, "grid-columns", $attributes['columns'] );
	gtm_css_compileCssVar( $block_style, "grid-gap", gtm_css_parseSpacingValue( $attributes['gap'] ) );

	// Apply to output
	$block_style['style'] = ['{{BLOCK}}' => $block_style['style']];

	return [
		'classes' => array_merge( $output['classes'], $block_style['classes'] ),
		'style'   => array_replace_recursive( $output['style'], $block_style['style'] ),
	];
}
