<?php

/**
 * Registers the `gtm/icon-links` block on the server.
 */
function gtm_register_block_icon_links() {
	gtm_register_block_type( 'icon-links' );
}

add_action( 'init', 'gtm_register_block_icon_links', 20 );

add_filter( 'gtm.BlockStyleCompiler.gtm/icon-links', 'gtm_compile_block_css_icon_links', 10, 3 );
function gtm_compile_block_css_icon_links( $output, $attributes, $blockName ) {
	$block_style = ['classes' => [], 'style' => []];

	$block_style['classes'][] = 'gtm-block';

	gtm_css_compileCssVar( $block_style, "icon-links-icon-size", $attributes['iconSize'] );
	gtm_css_compileCssVar( $block_style, "icon-links-icon-height", $attributes['iconHeight'] );
	gtm_css_compileCssVar( $block_style, "icon-links-icon-radius", $attributes['iconRadius'] );
	gtm_css_compileCssVar( $block_style, "icon-links-icon-shadow", gtm_css_parseShadowValue( $attributes['iconShadow'] ) );
	gtm_css_compileCssVar( $block_style, "icon-links-icon-spacing", gtm_css_parseSpacingValue( $attributes['iconSpacing'] ) );

	/* Colors */

	gtm_css_compileCssVar( $block_style, "icon-links-color", gtm_css_parseColorValue( $attributes['color'] ) );
	gtm_css_compileCssVar( $block_style, "icon-links-bg", gtm_css_parseColorValue( $attributes['bg'] ) );
	gtm_css_compileCssVar( $block_style, "icon-links-hover-color", gtm_css_parseColorValue( $attributes['hoverColor'] ) );
	gtm_css_compileCssVar( $block_style, "icon-links-hover-bg", gtm_css_parseColorValue( $attributes['hoverBg'] ) );

	// Apply to output
	$block_style['style'] = ['{{BLOCK}}' => $block_style['style']];

	return [
		'classes' => array_merge( $output['classes'], $block_style['classes'] ),
		'style'   => array_replace_recursive( $output['style'], $block_style['style'] ),
	];
}
