<?php

class GTM_AMP_Css_Dequeue {
	private static $instance;

	public static function get_instance() {
		if ( ! self::$instance ) {
			self::$instance = new self();
		}

		return self::$instance;
	}

	public function __construct() {
		if ( ! did_action( 'wp' ) ) {
			add_action( 'wp', [$this, 'init'] );
		} else {
			$this->init();
		}
	}

	public function init() {
		add_action( 'wp_print_styles', [$this, 'dequeue_unused_styles'] );
	}

	public function dequeue_unused_styles() {
		$handles = apply_filters( 'gtm_amp_dequeue_unused_styles', [
			'gutenmate-tippy',
			'gutenmate-photoswipe',
		] );

		foreach ( $handles as $handle ) {
			wp_dequeue_style( $handle );
		}
	}

	/**
	 * Dequeue woocommerce styles
	 * Usage: add_filter( 'gtm_amp_dequeue_unused_styles', [$this, 'dequeue_woocommerce'] )
	 */
	public function dequeue_woocommerce( $handles ) {
		return array_merge( $handles, [
			"woocommerce-layout",
			"woocommerce-smallscreen",
			"woocommerce-general",
			"woocommerce-blocktheme",
			"woocommerce-inline",
		] );
	}

}