<?php
/**
 * Template canvas file to render the current 'wp_template'.
 *
 * @package WordPress
 */

$amp = GTM_AMP::get_instance();

/*
 * Get the template HTML.
 * This needs to run before <head> so that blocks can add scripts and styles in wp_head().
 */
if ( $amp->template ) {
	$template_html = gtm_do_template( $amp->template->slug, $amp->template->theme );
} else {
	// Fallback to original template
	$template_html = get_the_block_template_html();
}

do_action( 'gtm_amp_template_start' );
?><!DOCTYPE html>
<html <?php language_attributes();?>>
<head>
	<meta charset="<?php bloginfo( 'charset' );?>" />
	<?php wp_head();?>
</head>

<body <?php body_class();?>>
<?php wp_body_open();?>

<?php echo $template_html; // phpcs:ignore WordPress.Security.EscapeOutput ?>

<?php wp_footer();?>
</body>
</html>
<?php
do_action( 'gtm_amp_template_end' );