<?php
/*
Plugin Name: Gutenmate
Plugin URI: https://gutenmate.com
Description: An essential toolkit for wordpress
Version: 1.3.1
Requires at least: 6.1
Requires PHP: 7.4
Author: Envirra
Author URI: https://gutenmate.com
Text Domain: gutenmate
 */

// Avoid duplicate loading
if ( defined( 'GTM_VERSION' ) ) {
	return;
}

// Constants
defined( 'GTM_VERSION' ) || define( 'GTM_VERSION', '1.3.1' );
defined( 'GTM_OPTION_SLUG' ) || define( 'GTM_OPTION_SLUG', 'gutenmate_options' );
defined( 'GTM_CACHE_ENABLED' ) || define( 'GTM_CACHE_ENABLED', defined( 'WP_CACHE' ) && WP_CACHE );
defined( 'GTM_PLUGIN_SLUG' ) || define( 'GTM_PLUGIN_SLUG', 'gutenmate/plugin' );

if ( defined( 'GTM_BUNDLE_MODE' ) && GTM_BUNDLE_MODE ) {
	// Loaded in bundle mode (use theme path)
	defined( 'GTM_BASE' ) || define( 'GTM_BASE', 'plugins/gutenmate/' );
	defined( 'GTM_DIR' ) || define( 'GTM_DIR', get_theme_file_path( GTM_BASE ) );
	defined( 'GTM_URL' ) || define( 'GTM_URL', get_theme_file_uri( GTM_BASE ) );
} else {
	// Loaded in plugin mode (use plugin path)
	defined( 'GTM_BASE' ) || define( 'GTM_BASE', __FILE__ );
	defined( 'GTM_DIR' ) || define( 'GTM_DIR', plugin_dir_path( GTM_BASE ) );
	defined( 'GTM_URL' ) || define( 'GTM_URL', plugin_dir_url( GTM_BASE ) );
}

defined( 'GTM_LIB_DIR' ) || define( 'GTM_LIB_DIR', GTM_DIR . 'lib/' );
defined( 'GTM_LIB_URL' ) || define( 'GTM_LIB_URL', GTM_URL . 'lib/' );
defined( 'GTM_BLOCKS_DIR' ) || define( 'GTM_BLOCKS_DIR', GTM_DIR . 'block-library/' );
defined( 'GTM_BLOCKS_URL' ) || define( 'GTM_BLOCKS_URL', GTM_URL . 'block-library/' );
defined( 'GTM_CACHE_DIR' ) || define( 'GTM_CACHE_DIR', WP_CONTENT_DIR . '/gutenmate-cache/' );
defined( 'GTM_CACHE_URL' ) || define( 'GTM_CACHE_URL', WP_CONTENT_URL  . '/gutenmate-cache/' );

// Load base version
include_once GTM_DIR . 'load.php';

// Load pro version
if ( file_exists( GTM_DIR . 'pro/load.php' ) ) {
	include_once GTM_DIR . 'pro/load.php';
}

include_once GTM_DIR . 'settings/restore-default.php';
